// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}

var err = initInstall("Weather Extension for Mozilla Thunderbird", "Weather", "1.0"); 
logComment("initInstall: " + err);

var chromeFolder = getFolder("Profile", "Chrome");
if (verifyDiskSpace(chromeFolder))
{
    addFile("Weather Chrome",
            "weather.jar",  // jar source folder 
            chromeFolder,   // target folder
            null);          // target subdir 

    var jarFile = getFolder(chromeFolder, "weather.jar");
    registerChrome(PACKAGE | PROFILE_CHROME, jarFile, "content/weather/");
    registerChrome(LOCALE  | PROFILE_CHROME, jarFile, "locale/en-US/weather/");
    registerChrome(SKIN | PROFILE_CHROME, jarFile, "skin/classic/weather/");

    if (err == SUCCESS)
        performInstall(); 
    else
        cancelInstall(err);
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
